V1.0

get

/ec-designer-svc/rest/v1.0/studies/{studyId}/allstudiesforms

Retrieves all the forms of the latest study version of other studies.

Request

Path Parameters
  • Study ID (UUID, 32-character uppercase hexadecimal string). Required. Example: F054C951EB74443C93716CA714AB686E
    Example:
    2F9A6C7E1B8F4D56A23C9F3A0C7D4E11
Query Parameters
  • OtherStudy, which can have the value all, or otherStudy ID. It defaults to value first in the absence of query param.
    Default Value: first
    Example:
    1

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : AllStudiesFormsDto v1.0
Type: object
Title: AllStudiesFormsDto v1.0
Information about all the forms of latest study version of all other studies for UI consumption.
Show Source
Nested Schema : otherStudies
Type: object
Additional Properties Allowed
Show Source
  • Other studies the user is assigned to
Other studies the user is assigned to
Nested Schema : studyForms
Type: array
All Forms
Show Source
Nested Schema : StudyFormDto v1.0
Type: object
Title: StudyFormDto v1.0
Study Form Info of latest study version of other studies
Show Source
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Back to Top